using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("wms_inventory_check")]
    public class WmsInventoryCheck
    {
        [Key]
        [Column("inventory_check_id")]
        public long InventoryCheckId { get; set; }
        [Column("inventory_check_code")]
        public string InventoryCheckCode { get; set; }
        [Column("warehouse_id")]
        public long WarehouseId { get; set; }
        [Column("check_status")]
        public string CheckStatus { get; set; }
        [Column("begin_time")]
        public DateTime? BeginTime { get; set; }
        [Column("end_time")]
        public DateTime? EndTime { get; set; }
        [Column("location_amount")]
        public int LocationAmount { get; set; }
        [Column("inventorying_amount")]
        public int InventoryingAmount { get; set; }
        [Column("inventoried_amount")]
        public int InventoriedAmount { get; set; }
        [Column("remark")]
        public string Remark { get; set; }
        [Column("create_by")]
        public string CreateBy { get; set; }
        [Column("create_date")]
        public DateTime? CreateTime { get; set; }
        [Column("update_by")]
        public string UpdateBy { get; set; }
        [Column("update_date")]
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 物料类型id,如果为null盘所有库，不为null盘该物料的库
        /// </summary>
        [Column("material_id")]
        public long? MaterialId { get; set; }
    }
}
